import { useState } from 'react';
const useDebounceState = (value, ms = 200) => {
    const [state, setState] = useState(value);
    let timer;
    const setStateDebounce = (state) => {
        clearTimeout(timer);
        timer = setTimeout(() => {
            setState(state);
        }, ms);
    };
    return [state, setStateDebounce];
};
export { useDebounceState };
