export declare const useFetch: <T>(url: string, opts?: IOpts) => IFetchResult<T>;
interface IFetchResult<T> {
    data: T | null;
    isFetching: boolean;
    error: any;
    refetch: () => void;
}
interface IOpts {
    method?: Method;
    body?: BodyInit | null;
    headers?: HeadersInit | null;
}
type Method = 'GET' | 'POST' | 'PUT' | 'DELETE';
export {};
