import { renderHook, act } from '@testing-library/react-hooks';
import { useCookie } from '../hooks/useCookie';
describe('useCookie', () => {
    it('should set and get the cookie value correctly', () => {
        const { result } = renderHook(() => useCookie('testCookie'));
        expect(result.current[0]).toBe('');
        act(() => {
            result.current[1]('cookie-test-value');
        });
        expect(result.current[0]).toBe('cookie-test-value');
        act(() => {
            result.current[1](null);
        });
        expect(result.current[0]).toBe('');
        const expires = new Date('2030-01-01');
        const sameSite = 'none';
        const secure = false;
        const path = '/';
        const options = { expires, sameSite, secure, path };
        act(() => {
            result.current[1]('cookie-test-value-with-options', options);
        });
        expect(result.current[0]).toBe('cookie-test-value-with-options');
    });
});
